> ## Documentation Index
> Fetch the complete documentation index at: https://scaleup-c34c4386.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /api/v1/files/

> Retorna uma lista paginada de arquivos da organização

Retorna todos os arquivos enviados pela organização.

## Autenticação

> [!NOTE]
>
> Requer um token de acesso válido (`CHARGEFY_ACCESS_TOKEN`) no header `Authorization`.

## Parâmetros de Query

| Parâmetro | Tipo | Obrigatório | Descrição |
| - | - | - | - |
| `page` | `integer` | Não | Número da página (default: 1) |
| `limit` | `integer` | Não | Itens por página (default: 10, máx: 100) |
| `organizationId` | `string` | Não | Filtrar por organização |

## Campos da Resposta

| Campo | Tipo | Descrição |
| - | - | - |
| `items` | `array` | Lista de arquivos |
| `items[].id` | `string` | ID do arquivo |
| `items[].name` | `string` | Nome do arquivo |
| `items[].mimeType` | `string` | Tipo MIME |
| `items[].size` | `integer` | Tamanho em bytes |
| `items[].publicUrl` | `string` | URL pública do arquivo |
| `items[].createdAt` | `datetime` | Data de criação |
| `pagination` | `object` | Informações de paginação |

## Exemplo de Requisição

```bash cURL theme={null}
curl -X GET "https://api.chargefy.io/api/v1/files/" \
  -H "Authorization: Bearer $CHARGEFY_ACCESS_TOKEN"
```

```typescript SDK theme={null}
import { Chargefy } from '@chargefy/sdk';

const chargefy = new Chargefy({
  accessToken: process.env.CHARGEFY_ACCESS_TOKEN,
});

const files = await chargefy.files.list();
```

## Exemplo de Resposta

```json theme={null}
{
  "items": [
    {
      "id": "file_abc123",
      "name": "ebook-guia-completo.pdf",
      "mimeType": "application/pdf",
      "size": 2456789,
      "publicUrl": "https://cdn.chargefy.io/files/file_abc123/ebook-guia-completo.pdf",
      "createdAt": "2026-02-15T10:00:00Z"
    }
  ],
  "pagination": {
    "total_count": 7,
    "max_page": 1
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.